/*
 * This file specifies whole configuration of sitegin.
 * In future it might actually read configuration files but for now - if you
 * want to configure sitegin you have to modify this file.
 * (or write config reader which would replace this file - I'd appreciate
 * merge request for this feature ;) )
 */
var cli = require('cli');
var options = cli.parse({
 noserver: ['n', 'Dont run server'],
 port: ['p', 'Port on which server should run', 'number', 1337],
 uiport: [null, 'BrowserSync UI port', 'number', 'port+1'],
 httpsonly: [null, 'Converts all http://ok1kvk.cz links to https'],
 httponly: [null, 'Converts all https://ok1kvk.cz links to http']
});

module.exports = function() {
  var builddir = 'build';
  if(!options.noserver) builddir = 'build-debug';

  if(options.uiport == 'port+1') {
    options.uiport = options.port+1;
  }

  return Promise.resolve({
    config: {
      options: options,
      builddir: builddir,
      sourceDir: 'content',
      articlesLocation: 'articles',
      linksPerPage: 6
    }
  })
}
module.exports.watch = !options.noserver;
